Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ActionTarget Class Reference

Handles the adding and removing of ActionListeners. More...

`#include <OgreActionTarget.h>`

Inheritance diagram for Ogre::ActionTarget:

[legend]
List of all members.

## Public Methods

| ActionTarget ()
void | processActionEvent (ActionEvent *e)
void | addActionListener (ActionListener *l)
void | removeActionListener (ActionListener *l)
virtual void | processEvent (InputEvent *e)=0

## Protected Attributes

ActionListener * | mActionListener

## Detailed Description

Handles the adding and removing of ActionListeners.

Remarks:
  This is implemented through the use of a binary multicaster. See EventMulticaster. GuiElements (or other components) that process the Action should subclass this class and call processActionEvent when that event is identified.

Definition at line 55 of file OgreActionTarget.h.

## Constructor & Destructor Documentation

Ogre::ActionTarget::ActionTarget | ( |  | ) |

| Definition at line 38 of file OgreActionTarget.cpp. References mActionListener.

## Member Function Documentation

void Ogre::ActionTarget::addActionListener | ( | ActionListener * | l | ) |

| Definition at line 62 of file OgreActionTarget.cpp. References mActionListener. Referenced by Ogre::ScrollBarGuiElement::setDownButtonName(), and Ogre::ScrollBarGuiElement::setUpButtonName().

void Ogre::ActionTarget::processActionEvent | ( | ActionEvent * | e | ) |

| Definition at line 46 of file OgreActionTarget.cpp. References Ogre::ActionListener::actionPerformed(), Ogre::InputEvent::getID(), and mActionListener. Referenced by Ogre::TextBoxGuiElement::processEvent(), Ogre::GuiElement::processEvent(), and Ogre::GuiControl::processEvent().

virtual void Ogre::EventTarget::processEvent | ( | InputEvent * | e | ) | `[pure virtual, inherited]`

| Implemented in Ogre::Cursor, Ogre::EventProcessor, Ogre::GuiControl, Ogre::GuiElement, Ogre::OverlayManager, Ogre::BorderButtonGuiElement, Ogre::ButtonGuiElement, Ogre::ScrollBarGuiElement, and Ogre::TextBoxGuiElement. Referenced by Ogre::EventDispatcher::processKeyEvent(), Ogre::EventDispatcher::retargetKeyEvent(), and Ogre::EventDispatcher::retargetMouseEvent().

void Ogre::ActionTarget::removeActionListener | ( | ActionListener * | l | ) |

| Definition at line 72 of file OgreActionTarget.cpp. References mActionListener.

## Member Data Documentation

ActionListener* Ogre::ActionTarget::mActionListener`[protected]`

| Definition at line 58 of file OgreActionTarget.h. Referenced by ActionTarget(), addActionListener(), processActionEvent(), and removeActionListener().

The documentation for this class was generated from the following files:

- OgreActionTarget.h
- OgreActionTarget.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:46 2004